// compontents/chat/chat.js
const APIClient = require('../../utils/APIClient.js');

Component({
  relations: {
    '../discuss/custom-li': {
      type: 'child', // 关联的目标节点应为子节点
      linked: function(target) {
        // 每次有custom-li被插入时执行，target是该节点实例对象，触发在该节点attached生命周期之后
      },
      linkChanged: function(target) {
        // 每次有custom-li被移动后执行，target是该节点实例对象，触发在该节点moved生命周期之后
      },
      unlinked: function(target) {
        // 每次有custom-li被移除时执行，target是该节点实例对象，触发在该节点detached生命周期之后
      }
    }
  },
  /**
   * 组件的属性列表
   */
  properties: {
    productionData: {
      type: Object,
      value: {}
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    flag: false,
    text: '',
    chatDatas: [],
    animationData: {}
  },

  /**
   * 组件的方法列表
   */
  methods: {
    uploadImage (e) {
      wx.navigateTo({
        url: '../input_content/input_content'
      })
    },
    listenerButtonPreviewImage: function(e) {
      let imgUrl = [];
      imgUrl.push(e.target.dataset.img);
      wx.previewImage({
          current: '', // 当前显示图片的http链接
          urls: imgUrl, // 需要预览的图片http链接列表
          //这根本就不走
          success: function(res) {
              //console.log(res);
          },
          //也根本不走
          fail: function() {
              //console.log('fail')
          }
      })
    }
  },
  ready () {
    console.log(this.getRelationNodes('discuss/discuss/custom-li'))
    // this.discuss = this.selectComponent("#discuss");
    // console.log(this.discuss);
  }
})
