const request = require('./WXHttpRequest.js');
const url = require('./const.js');

const HOST = url.apiUrl;

function genAPIUrl(action) {
	return HOST + action;
}


module.exports = {
    // 获取我的data
	getMySchedule(header) {
		let url = genAPIUrl('wx/ucenter');
		return request.getInstance().url(url).header(header).send();
	},
	//获取推荐课程
	getRecommendSchedule(header) {
		let url = genAPIUrl('wx/course/recommend');
		return request.getInstance().url(url).header(header).send();
	},
	//发送上传图片
	getSendSchedule(header, data) {
		let url = genAPIUrl('wx/posts');
		return request.getInstance().url(url).header(header).data(data).method('POST').send();
	},
	//获取分享作品list
	getProductionSchedule(header, data) {
		let url = genAPIUrl('wx/posts/findPostsReplyList');
		return request.getInstance().url(url).header(header).data(data).method('GET').send();
	},
	//保存评论
	getDiscussSchedule(header, data) {
		let url = genAPIUrl('wx/reply');
		return request.getInstance().url(url).header(header).data(data).method('POST').send();
	},
}